<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XhTimeTaskMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XhTimeTask">
            <id property="id" column="id" jdbcType="INTEGER"/>
            <result property="taskName" column="task_name" jdbcType="VARCHAR"/>
            <result property="serviceName" column="service_name" jdbcType="VARCHAR"/>
            <result property="cronExpression" column="cron_expression" jdbcType="VARCHAR"/>
            <result property="scheduleType" column="schedule_type" jdbcType="VARCHAR"/>
            <result property="enabled" column="enabled" jdbcType="TINYINT"/>
            <result property="createdAt" column="created_at" jdbcType="TIMESTAMP"/>
            <result property="updatedAt" column="updated_at" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,task_name,service_name,
        cron_expression,schedule_type,enabled,
        created_at,updated_at
    </sql>
</mapper>
